DECLARE
  vnama emp.nama%TYPE;
  vgaji emp.gaji%TYPE;
BEGIN
   SELECT nama,gaji INTO vnama, vgaji FROM emp 
       WHERE gaji>'abc10000';
   dbms_output.put_line(vnama || ' - ' || vgaji);
   EXCEPTION
     WHEN NO_DATA_FOUND THEN
        dbms_output.put_line('Data tidak ditemukan');
     WHEN TOO_MANY_ROWS THEN
        dbms_output.put_line('Data ditemukan lebih dari 1');
     WHEN OTHERS THEN
        dbms_output.put_line('Ada Error '||SQLERRM);
 END;
