CREATE OR REPLACE 
PROCEDURE Tambah_Dept(vdept_id dept.department_id%TYPE,
                      vnama dept.nama%TYPE)
IS
BEGIN
      IF vdept_id IS NULL THEN
         RAISE_APPLICATION_ERROR(-20000,'Department ID tidak boleh kosong');
      END IF;
      IF vnama IS NULL THEN
         RAISE_APPLICATION_ERROR(-20001,'Nama Departemen tidak boleh kosong');
      END IF;
      INSERT INTO dept VALUES(vdept_id,TRIM(vnama));
      COMMIT;
END;
